#region Using Directives

using System;

using ValidationFramework;

#endregion

/// <summary>
/// PersonMapper would perform all data persistence for the Person business object.
/// </summary>
public class PersonMapper : DataMapper<Person>
{

    public override Person GetItem(int id)
    {
        //Normally would perform data access to create person here.
        //For demo we'll just hard-code an example person and send back.

        Person person = new Person();
        person.FirstName = "Steve";
        person.LastName = "Michelotti";
        person.Age = 31;
        person.EmailAddress = "steve.michelotti@emagination.com";
        person.CardType = CardType.Visa;
        person.CreditCardNumber = "1234567890123456";
        person.OrderTotal = 21.99M;
        return person;
    }

    public override void SaveItem(Person item)
    {
        if (!item.IsValid)
        {
            throw new ValidationException("Person is not valid.  Save is not allowed.");
        }

        //Everything is fine so ok to perform data persistence here
    }

}
