#region Using Directives

using System;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

using ValidationFramework;
using ValidationFramework.Web;

#endregion

public partial class TwoWayDataBindForm : System.Web.UI.Page
{

    #region Events

    protected void Page_Load(object sender, EventArgs e)
    {
        ValidatorGenerator validation = new ValidatorGenerator();
        validation.AddValidation("txtFirstName", Person.FirstNameMember);
        validation.AddValidation("txtLastName", Person.LastNameMember);
        validation.AddValidation("txtAge", Person.AgeMember);
        validation.AddValidation("txtEmail", Person.EmailAddressMember);
        validation.AddValidation("txtCardNumber", Person.CreditCardNumberMember);
        validation.AddValidation("txtOrderTotal", Person.OrderTotalMember);
        formPerson.DataBound += delegate(object s, EventArgs args)
            { validation.GenerateValidators(formPerson, formPerson.DataItem); };        
    }

    protected void OnCreditCardValidate(object sender, ServerValidateEventArgs e)
    {
        DropDownList ddlCardType = formPerson.FindControl("ddlCardType") as DropDownList;
        TextBox txtCardNumber = formPerson.FindControl("txtCardNumber") as TextBox;
        CustomValidator custValCreditCard = formPerson.FindControl("custValCreditCard") as CustomValidator;
        CardType cardType = (CardType)Enum.Parse(typeof(CardType), ddlCardType.SelectedValue);

        CustomValidationEventArgs args = Person.IsCreditCardValid(cardType, txtCardNumber.Text);
        e.IsValid = args.IsValid;
        custValCreditCard.ErrorMessage = args.ErrorMessage;
    }
    
    protected void OnPersonSourceUpdated(object sender, ObjectDataSourceStatusEventArgs e)
    {
        if (e.Exception != null && e.Exception.InnerException is ValidationException)
        {
            //In reality, you'd have a more robust display here
            Response.Write(e.Exception.InnerException.Message);
            e.ExceptionHandled = true;
        }
    }

    #endregion

}
