#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;

using ValidationFramework;

using NUnit.Framework;

#endregion

namespace ValidationFramework.Tests
{
    [TestFixture]
    public class CustomValidationTestFixture
    {

        [Test]
        public void TestCustom()
        {
            Foo foo = new Foo();
            foo.Min = 10;
            foo.Max = 5;
            Assert.IsFalse(foo.IsValid, "Custom validation - foo should not be valid");

            foo.Min = 20;
            foo.Max = 30;
            Assert.IsTrue(foo.IsValid, "Custom validatio - foo should be valid");
        }

        #region class Foo (for testing)

        private class Foo : ValidatableBase
        {
            private int min;
            private int max;

            [CustomValidator("Min must be less than max", "ValidateMinMax")]
            public int Min
            {
                get
                {
                    return min;
                }
                set
                {
                    min = value;
                }
            }

            [CustomValidator("Min must be less than max", "ValidateMinMax")]
            public int Max
            {
                get
                {
                    return max;
                }
                set
                {
                    max = value;
                }
            }

            private void ValidateMinMax(object sender, CustomValidationEventArgs e)
            {
                e.IsValid = (min < max);
            }
        }

        #endregion

    }
}
