#region Using Directives

using System;
using System.Collections.Generic;
using System.Text;

using NUnit.Framework;

#endregion

namespace ValidationFramework.Tests
{
    [TestFixture]
    public class RegexValidationTestFixture
    {

        #region Regex Validation

        [Test]
        public void TestRegex()
        {
            Person person = new Person();
            person.Email = "abc";
            Assert.IsFalse(person.IsValid, "Regex validation - Item should not be valid");

            person.Email = "steve.michelotti@emagination.com";
            Assert.IsTrue(person.IsValid, "Regex validation - Item should be valid.");
        }

        private class Person : ValidatableBase
        {
            private string email;

            [RegexValidator(@"\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*", "Invalid email format.")]
            public string Email
            {
                get { return email; }
                set { email = value; }
            }
        }

        #endregion

    }
}
