#region Using Directives

using System;
using ValidationFramework;
using NUnit.Framework;

#endregion

namespace ValidationFramework.Tests
{
    [TestFixture]
    public class TestLengthFixture
    {
       
        [Test]
        [NUnit.Framework.ExpectedException(typeof(ArgumentException))]
        public void TestIntLength()
        {
            LengthItem item = new LengthItem();
            ValidationManager validator = new ValidationManager(item);
            item.IntData = 21;
            validator.Validate("IntData");            
        }

        [Test]
        public void TestStringLengthPass()
        {
            LengthItem item = new LengthItem();
            ValidationManager validator = new ValidationManager(item);
            item.StringData = "abcdef";
            validator.Validate("StringData");
            string err = validator.GetErrorMessages("StringData");
            Console.WriteLine("StringData - " + err);
            Assert.IsTrue(err == string.Empty, "StringData should have valid length");
        }

        [Test]
        public void TestStringLengthFail()
        {
            LengthItem item = new LengthItem();
            ValidationManager validator = new ValidationManager(item);
            item.StringData = "abcdefghijklm";
            validator.Validate("StringData");
            string err = validator.GetErrorMessages("StringData");
            Console.WriteLine("StringData - " + err);
            Assert.IsTrue(err != string.Empty, "StringData should not have valid length");
        }
    }
}
