#region Using Directives

using System;
using ValidationFramework;

#endregion

namespace ValidationFramework.Tests
{
    class RequiredItem
    {
        private int intData;

        [RequiredValidator("IntData is required")]
        public int IntData
        {
            get { return intData; }
            set { intData = value; }
        }

        private string stringData;

        [RequiredValidator("StringData is required")]
        public string StringData
        {
            get { return stringData; }
            set { stringData = value; }
        }

    }

    class RequiredItemInitValue
    {
        private int intData;

        [RequiredValidator("21", "IntData is required")]
        public int IntData
        {
            get { return intData; }
            set { intData = value; }
        }

        private string stringData;

        [RequiredValidator("abc", "StringData is required")]
        public string StringData
        {
            get { return stringData; }
            set { stringData = value; }
        }

    }

    class LengthItem
    {
        private int intData;

        [LengthValidator(5, 10, "Length must be between 5 and 10")]
        public int IntData
        {
            get { return intData; }
            set { intData = value; }
        }

        private string stringData;

        [LengthValidator(5, 10, "Length must be between 5 and 10")]
        public string StringData
        {
            get { return stringData; }
            set { stringData = value; }
        }
    }
}
