#region Using Directives

using System;
using System.Collections.ObjectModel;
using System.Text;

#endregion

namespace ValidationFramework
{
    public class NotifyValidatableCollection<T> : ValidatableCollection<T>, IValid where T : NotifyValidatableBase
    {
        
        #region IValid Members

        public override bool IsValid
        {
            get 
            {
                foreach (T item in this)
                {
                    if (!item.IsValid)
                    {
                        return false;
                    }
                }
                return true;
            }
        }

        #endregion

    }
}
