#region Using Directives

using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;

#endregion

namespace ValidationFramework
{
    /// <summary>
    /// Can optionally use this exception to throw an exception from the middle tier
    /// when asked to perform an optionation on an invalid object.  For example,
    /// if an invalid object makes it to the data access code, a data mapper could
    /// could throw a ValidationException when it is asked to save an object that
    /// is invalid.  This is more descriptive than throwing an InvalidOperationException.
    /// </summary>
    [Serializable]
    public class ValidationException : Exception
    {

        #region Constructors

        public ValidationException(string message)
            : base(message)
        {
        }

        public ValidationException(string message, Exception innerException)
            : base(message, innerException)
        {
        }

        protected ValidationException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }

        public ValidationException()
        {
        }

        #endregion

    }
}
